<div class="card" >
    <div class="card-header">
                
        <h2 class="card-title">Signature</h2>
    </div>
    <div class="card-body">
        <div #signbox class="signbox"></div>
        <div class="d-flex justify-content-center mt-2">
            <app-my-file-select class="mx-2" requiredFileType="image/png,image/bmp,image/jpeg,image/x-png,image/gif" (fileSelected)="importData($event)" label="Importer"></app-my-file-select>
            <app-gen-button [text]="'Effacer'" [type]="'secondary'" (click)="clear()"></app-gen-button>
        </div>
    </div>
    <div class="card-footer">
        <div class="d-flex justify-content-center">
            <app-gen-button [text]="'Enregistrer'"  [isLoading]="isSaveLoading" (click)="clicked()"></app-gen-button>
        </div>
    </div>
</div>